Name:            amsynth
Version:         1.13.2
Release:         %mkrel 1

Summary:        Virtual-analog polyphonic synthesizer for ALSA, OSS and JACK
Source:         http://%{name}.googlecode.com/files/amsynth-%{version}.tar.xz
URL:            http://code.google.com/p/amsynth%{name}
License:        GPLv2
Group:          Sound
#-----------------------------------------------------------
BuildRequires: dssi-devel
BuildRequires: ladspa-devel 
BuildRequires: lv2-devel
BuildRequires: lib64alsa2-devel
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64atkmm1.6-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64cairomm1.0-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64glibmm2.4-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64gtkmm2.4-devel
BuildRequires: lib64jack-devel
BuildRequires: lib64lo-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64pangomm2.4-devel
BuildRequires: lib64sndfile-devel
BuildRequires: lib64x11-devel
BuildRequires: intltool
BuildRequires: lib64lash2-devel
#-----------------------------------------------------------

%description
AmSynth is a standalone polyphonic subtractive synthesizer. It supports
OSS, ALSA and JACK for Audio and MIDI I/O. Features are as follows.

o Dual oscillators with classic waveforms - sine / saw / square / noise
o 24 dB/oct low-pass resonant filter
o Independent ADSR envelopes for filter & amplitude
o LFO which can module the oscillators, filter, and amplitude
o Distortion effect
o Reverb


%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
# from tex
CFLAGS+=' -fcommon'
export LDFLAGS="-L/usr/lib64/libglvnd/ -L/usr/lib64/libpython3.6 $LDFLAGS"

# now need 14
# CXXFLAGS='-std=c++11' 

%configure2_5x --libdir=%{_libdir}
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%post
gtk-update-icon-cache /usr/share/icons/hicolor &> /dev/null || :
%update_menus

%postun
gtk-update-icon-cache /usr/share/icons/hicolor &> /dev/null || :
%clean_menus

%clean
rm -rf %{buildroot}

  
%files
%defattr(-,root,root)
%{_bindir}/%{name}

%{_datadir}/%{name}/rc
%{_datadir}/%{name}/banks/*.bank
%{_datadir}/%{name}/skins/default/*.png
%{_datadir}/%{name}/skins/default/layout.ini
%{_datadir}/appdata/amsynth.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%{_datadir}/appdata/dssi-amsynth-plugin.metainfo.xml
%{_libdir}/dssi/%{name}_dssi.so
%{_libdir}/dssi/%{name}_dssi/%{name}_dssi_ui

%{_datadir}/appdata/lv2-amsynth-plugin.metainfo.xml
%{_libdir}/lv2/%{name}.lv2/amsynth_lv2.so
%{_libdir}/lv2/%{name}.lv2/amsynth_lv2ui.so*
%{_libdir}/lv2/%{name}.lv2/amsynth.ttl
%{_libdir}/lv2/%{name}.lv2/manifest.ttl

%{_datadir}/appdata/vst-amsynth-plugin.metainfo.xml
%{_libdir}/vst/amsynth_vst.so

%changelog
* Sat Mar 02 2024 onkelho <oh.quait at gmail.com> - 1.13.2-1quait2024
- new version released on Feb-01-2023
- add 167 fixes
